library blinktrade_kyc;

export 'main.dart';
export 'widget/bottom_modal.dart';
export '/widget/textfield.dart';

import 'package:blink_trade/main_screen.dart';
import 'package:blink_trade/network/api_repository.dart';
import 'package:blink_trade/network/http_client.dart';
import 'package:blink_trade/utils/theme_files/app_themes.dart';
import 'package:flutter/material.dart';
import 'package:flutter_secure_storage/flutter_secure_storage.dart';
import 'package:get_it/get_it.dart';

import 'network/oauth_service.dart';

GetIt getIt = GetIt.instance;
void main() {
  WidgetsFlutterBinding.ensureInitialized();
  getIt.registerSingleton<FlutterSecureStorage>(const FlutterSecureStorage());
  final httpClient = HttpClient("https://newdiy.cloudyhr.com/diy/api");
  getIt.registerSingletonAsync<HttpClient>(() async => httpClient);
  getIt.registerSingletonWithDependencies<OAuthService>(
    () => OAuthService(
      httpClient,
      getIt.get<FlutterSecureStorage>(),
    ),
    dependsOn: [HttpClient],
  );
  getIt.registerSingletonWithDependencies<ApiRepository>(
    () => ApiRepository(),
    dependsOn: [OAuthService, HttpClient],
  );
  Future.delayed(Duration(seconds: 3), () async {
    ApiRepository apiRepository = getIt.get<ApiRepository>();
    await getIt.get<OAuthService>().initState();
    final res = await apiRepository.sendEmailOtp(email: "ak1109@gmail.com");
    await apiRepository.validateEmail(
        email: "ak1109@gmail.com", otp: "1234", refId: res["RefId"]);
    final res2 = await apiRepository.getRelationDropDown();
    print("log");
    //   var res = await apiRepository.startAuth("8084100105");
    //   print(res);
    //   var res1 =
    //       await apiRepository.verifyAuth("8084100105", "1234", res["RefId"]);
    //   print(res1);
  });
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      home: MainScreen(),
      title: 'blinktrade',
      themeMode: ThemeMode.system, // Default
      theme: appThemes[ThemeMode.light],
      darkTheme: appThemes[ThemeMode.dark],
    );
  }
}
