import 'package:blink_trade/utils/theme_files/app_colors.dart';
import 'package:blink_trade/widget/bottom_modal.dart';
import 'package:flutter/material.dart';

class MainScreen extends StatefulWidget {
  const MainScreen({Key? key}) : super(key: key);

  @override
  State<MainScreen> createState() => _MainScreenState();
}

class _MainScreenState extends State<MainScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColors.background(context),
      body: Padding(
        padding: const EdgeInsets.all(8.0),
        child: ListView(
          children: [
            Container(
              height: 200,
              width: MediaQuery.of(context).size.width,
              decoration: BoxDecoration(
                color: AppColors.primaryColor(context),
              ),
              child: const Center(
                  child: Center(
                      child: Text('Hello this is Sample APP',
                          style: TextStyle(
                              color: Colors.white,
                              fontWeight: FontWeight.w700)))),
            ),
            buildButton(
              () {
                FlutterDIY(context).init();
              },
            ),
            // buildButton(OtpPage()),
            // buildButton(EmailPage()),
            // buildButton(OtpEmail()),
            // buildButton(AddressProofUpload()),
            // buildButton(CancelldCheque()),
            // buildButton(ConfirmCorresAdd()),
            // buildButton(Corres_address()),
            // buildButton(DigiPage()),
            // buildButton(PersonalDetail()),
            // buildButton(FinancialInfo()),
            // buildButton(PlanSelect()),
            // buildButton(EnterPan()),
            // buildButton(VerifyBank()),
            // buildButton(PanUploadPage()),
            // buildButton(DocProof()),
            // buildButton(PersonalConfirm()),
          ],
        ),
      ),
    );
  }

  Widget buildButton(VoidCallback callback) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        primary: AppColors.primaryColor(context),
        onPrimary: Colors.white,
        minimumSize: Size(double.infinity, 36),
        padding: EdgeInsets.symmetric(horizontal: 16),
        shape: const RoundedRectangleBorder(
          borderRadius: BorderRadius.all(Radius.circular(2)),
        ),
      ),
      // onPressed: () {
      //   showMaterialModalBottomSheet(
      //     backgroundColor: AppColors.background(context),
      //     shape: const RoundedRectangleBorder(
      //       borderRadius: BorderRadius.vertical(top: Radius.circular(25.0)),
      //     ),
      //     enableDrag: false,
      //     context: (context),
      //     bounce: true,
      //     builder: (context) {
      //       return page;
      //     },
      //   );
      // },
      onPressed: callback,
      child: Text("Start"),
    );
  }
}
