import 'dart:async';

import 'package:blink_trade/network/http_client.dart';
import 'package:blink_trade/network/models/token.dart';
import 'package:flutter_secure_storage/flutter_secure_storage.dart';

import 'models/auth_token.dart';
import 'models/user.dart';

class OAuthService {
  final HttpClient _http;
  final FlutterSecureStorage _storage;
  final dummyUser = User();

  Token token = Token();

  OAuthService(this._http, this._storage);

  StreamController<User?> userController = StreamController<User>();
  dynamic currentUser;

  Stream<User?> get authStateChange {
    return userController.stream;
  }

  Future<void> initState() async {
    bool isTokenValid = await token.readToken();
    // if (value != null) {
    //   try {
    //     // this.token = token;
    //     // await getUserDetails();
    //   } on HttpException {
    //     // signOut();
    //     userController.add(dummyUser);
    //   }
    // } else {
    // userController.add(dummyUser);
    final res = await startAuth("9060842579");
    User user =
        await verifyAuth("9060842579", "1234", res["RefId"], relationshipId: 1);
    currentUser = user;
    token.setToken(user.Auth!);
    // }
  }

  Future<dynamic> logout() async {
    await _storage.deleteAll();
    userController.add(dummyUser);
    await _http.get("/app/logout/");
  }

  Future<void> refreshToken() async {
    try {
      final res = await _http.post("/auth/refresh/", data: {
        "RefreshToken": token.refreshToken,
        "Token": token.token,
      });
      token.setToken(AuthBean.fromJson(res));
    } on HttpException catch (e) {
      print(e);
      await logout();
      //TODO NAVIGATE TO LOGIN PAGE
    }
  }

  Future<dynamic> startAuth(String mobile) async {
    final response = await _http.postEncrypted(
      "/auth/start/",
      data: {
        "Mobile": mobile,
        "Source": 1,
        "IsEnableWhatsApp": true,
      },
    );
    return response;
  }

  Future<User> verifyAuth(String mobile, String code, String refId,
      {int relationshipId = 1}) async {
    final response = await _http.post(
      "/auth/validate-mobile/",
      data: {
        "Source": 1,
        "IsLpRedirect": false,
        "Mobile": mobile,
        "AppExists": true,
        "RefId": refId,
        "MobileRelationshipId": relationshipId,
        "Otp": code
      },
    );
    return User.fromJson(response);
  }
}
