import 'package:blink_trade/widget/header.dart';
import 'package:flutter/material.dart';

import '../utils/theme_files/app_colors.dart';

class ConfirmCorresAdd extends StatefulWidget {
  const ConfirmCorresAdd({Key? key}) : super(key: key);

  @override
  State<ConfirmCorresAdd> createState() => _ConfirmCorresAddState();
}

class _ConfirmCorresAddState extends State<ConfirmCorresAdd> {
  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Column(
          children: [
            Header(),
            Align(
              alignment: Alignment.center,
              child: Text(
                'Correspondence\nAddress',
                style: TextStyle(fontWeight: FontWeight.w700, fontSize: 30),
                textAlign: TextAlign.center,
              ),
            ),
            SizedBox(height: 20),
            Text(
              'Lorem ipsum dolor sit amet, consectetur adipiscing elit,',
              style: TextStyle(
                  color: AppColors.primaryContent(context), fontSize: 20),
              textAlign: TextAlign.center,
            ),
            SizedBox(height: 20),
            Divider(
              color: AppColors.primaryContent(context),
              thickness: 1,
              indent: 20,
              endIndent: 20,
            ),
            SizedBox(height: 20),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: ListTile(
                title: Text(
                  'House/bldg/Block',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Bulding No.1, Ganesh Pride',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
            ),
            SizedBox(height: 3),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: GridView(
                shrinkWrap: true,
                gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
                  crossAxisCount: 2,
                  childAspectRatio: 2,
                ),
                children: [
                  ListTile(
                    title: Text(
                      'Street',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 15),
                    ),
                    subtitle: Text(
                      'Ashoka Marg',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 18),
                    ),
                  ),
                  ListTile(
                    title: Text(
                      'Location',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 15),
                    ),
                    subtitle: Text(
                      'Dwarka',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 18),
                    ),
                  ),
                  ListTile(
                    title: Text(
                      'City',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 15),
                    ),
                    subtitle: Text(
                      'Mumbai',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 18),
                    ),
                  ),
                  ListTile(
                    title: Text(
                      'Pin Code',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 15),
                    ),
                    subtitle: Text(
                      '422011',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 18),
                    ),
                  ),
                  ListTile(
                    title: Text(
                      'State',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 15),
                    ),
                    subtitle: Text(
                      'Maharastra',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 18),
                    ),
                  ),
                  ListTile(
                    title: Text(
                      'Country',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 15),
                    ),
                    subtitle: Text(
                      'India',
                      style: TextStyle(
                          color: AppColors.primaryContent(context),
                          fontSize: 18),
                    ),
                  ),
                ],
              ),
            ),
            SizedBox(height: 20),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20.0),
              child: Container(
                height: 50,
                child: ElevatedButton(
                  onPressed: () {
                    Navigator.pushNamed(context, 'personaldetail');
                  },
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: const [
                      Text(
                        'Confirm',
                        style: TextStyle(fontSize: 20),
                      ),
                      SizedBox(width: 10),
                      Icon(
                        Icons.arrow_forward,
                        size: 25,
                      ),
                    ],
                  ),
                  style: ElevatedButton.styleFrom(
                    primary: AppColors.primaryColor(context),
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(4),
                    ),
                  ),
                ),
              ),
            ),
            SizedBox(height: 20),
            Align(
              alignment: Alignment.bottomCenter,
              child: Text(
                "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
                style: TextStyle(
                  color: AppColors.primaryContent(context),
                  fontSize: 12,
                  fontWeight: FontWeight.w400,
                ),
                textAlign: TextAlign.center,
              ),
            ),
            SizedBox(height: 20),
          ],
        ),
      ),
    );
  }
}
