import 'package:blink_trade/widget/header.dart';
import 'package:flutter/material.dart';

import '../utils/theme_files/app_colors.dart';
import '../widget/textfield.dart';

class Corres_address extends StatefulWidget {
  const Corres_address({Key? key}) : super(key: key);

  @override
  State<Corres_address> createState() => _Corres_addressState();
}

class _Corres_addressState extends State<Corres_address> {
  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Column(
          children: [
            //custom appbar
            Header(),
            const SizedBox(height: 40),
            Text(
              'Correspondence\nAddress',
              style: TextStyle(fontSize: 30, fontWeight: FontWeight.w700),
              textAlign: TextAlign.center,
            ),
            const SizedBox(height: 20),
            Text(
              'Lorem ipsum dolor sit amet, consectetur adipiscing elit,',
              style: TextStyle(
                  color: AppColors.primaryContent(context), fontSize: 20),
              textAlign: TextAlign.center,
            ),
            const SizedBox(height: 20),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                child: MyTextField(
                  controller: TextEditingController(),
                  hint: 'House/bdg/block',
                ),
              ),
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                  child: MyTextField(
                controller: TextEditingController(),
                hint: 'Street',
              )),
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                  child: MyTextField(
                controller: TextEditingController(),
                hint: 'Location',
              )),
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                  child: MyTextField(
                controller: TextEditingController(),
                hint: 'City',
              )),
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                  child: MyTextField(
                controller: TextEditingController(),
                hint: 'Pin Code',
              )),
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                  child: MyTextField(
                controller: TextEditingController(),
                hint: 'State',
              )),
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: Center(
                  child: MyTextField(
                controller: TextEditingController(),
                hint: 'Country',
              )),
            ),
            const SizedBox(height: 20),
            Padding(
              padding:
                  const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
              child: ElevatedButton(
                onPressed: () {
                  Navigator.pushNamed(context, 'ConfirmCorresAdd');
                },
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: const [
                    Text(
                      'Submit',
                      style: TextStyle(fontSize: 20),
                    ),
                    SizedBox(width: 10),
                    Icon(
                      Icons.arrow_forward,
                      size: 25,
                    ),
                  ],
                ),
                style: ElevatedButton.styleFrom(
                  primary: AppColors.primaryColor(context),
                  padding:
                      const EdgeInsets.symmetric(horizontal: 100, vertical: 15),
                  textStyle: const TextStyle(
                    fontSize: 20,
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ),
            ),
            SizedBox(
              height: 10,
            ),
            Text(
              "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
              style: TextStyle(
                color: AppColors.primaryAccent(context),
                fontSize: 12,
                fontWeight: FontWeight.w400,
              ),
              textAlign: TextAlign.center,
            ),
            SizedBox(height: 20),
          ],
        ),
      ),
    );
  }
}
