import 'package:blink_trade/widget/header.dart';
import 'package:flutter/material.dart';

import '../utils/theme_files/app_colors.dart';

class DigiPage extends StatefulWidget {
  const DigiPage({Key? key}) : super(key: key);

  @override
  State<DigiPage> createState() => _DigiPageState();
}

class _DigiPageState extends State<DigiPage> {
  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            //custom appbar
            Header(),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: Text(
                'Share Aadhaar Details With Digilocker',
                style: TextStyle(fontSize: 30, fontWeight: FontWeight.w700),
                textAlign: TextAlign.center,
              ),
            ),
            const SizedBox(
              height: 20,
            ),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: Text(
                'Share a digital copy (name, gender, DoB, address, and photo) of your Asdhaar from your Govt. Digilocker account for KYC. Your 12 digit Aadhaar number is never revealed or collected. The Aadhaar and the PAN GZJ1254A could belong to you.',
                style: TextStyle(
                    color: AppColors.primaryContent(context), fontSize: 15),
                textAlign: TextAlign.center,
              ),
            ),
            const SizedBox(
              height: 20,
            ),
            Padding(
              padding: const EdgeInsets.symmetric(horizontal: 20),
              child: SizedBox(
                height: 50,
                child: ElevatedButton(
                  style: ElevatedButton.styleFrom(
                    primary: AppColors.primaryColor(context),
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(4),
                    ),
                  ),
                  onPressed: () {
                    Navigator.pushNamed(context, 'personaldetail');
                  },
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Text('Connect to Digilocker'),
                      Icon(Icons.arrow_forward)
                    ],
                  ),
                ),
              ),
            ),
            Text(
              "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
              style: TextStyle(
                color: AppColors.primaryAccent(context),
                fontSize: 12,
                fontWeight: FontWeight.w400,
              ),
              textAlign: TextAlign.center,
            ),
            SizedBox(height: 20),
          ],
        ),
      ),
    );
  }
}
