import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../utils/theme_files/app_colors.dart';
import '../widget/header.dart';

class FinancialInfo extends StatefulWidget {
  const FinancialInfo({Key? key}) : super(key: key);

  @override
  State<FinancialInfo> createState() => _FinancialInfoState();
}

class _FinancialInfoState extends State<FinancialInfo> {
  String dropdownvalue = 'Your Education Qualification';

  // List of items in our dropdown menu
  var items = [
    'Your Education Qualification',
    'MCA',
    'MBA',
    'BA',
  ];

  String dropdownvalue2 = 'Annual Income';

  // List of items in our dropdown menu
  var items2 = [
    'Annual Income',
    '10Lac>',
    '20Lac>',
    '30Lac>',
  ];
  String dropdownvalue3 = 'Occupation';

  // List of items in our dropdown menu
  var items3 = [
    'Occupation',
    'Chiropractor',
    'Dentist',
    'Optomentrist',
    'pharmacist',
  ];
  String dropdownvalue4 = 'Trading Experience';

  // List of items in our dropdown menu
  var items4 = [
    'Trading Experience',
    '1 year',
    '2 year',
    '3 year',
    '4 year',
    '5 year',
  ];
  @override
  Widget build(BuildContext context) {
    RxBool isSwitched = false.obs;
    RxBool isSwitched2 = false.obs;
    RxBool isSwitched3 = false.obs;
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Center(
          child: Column(
            children: [
              //custom appbar
              Header(),
              //SizedBox(height: 10),

              Text(
                textAlign: TextAlign.center,
                'Your Financial Information',
                style: TextStyle(
                  fontWeight: FontWeight.w700,
                  fontSize: 30,
                ),
              ),
              SizedBox(height: 10),
              Text(
                'Lorem ipsum dolor sit amet, consectetur adipiscing elit,',
                style: TextStyle(
                  color: AppColors.primaryAccent(context),
                  fontSize: 16,
                ),
                textAlign: TextAlign.center,
              ),
              SizedBox(height: 10),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20),
                child: Align(
                  alignment: Alignment.topLeft,
                  child: Container(
                    height: 50,
                    width: double.infinity,
                    decoration: BoxDecoration(
                      color: AppColors.textFieldBackground(context),
                      borderRadius: BorderRadius.circular(4),
                    ),
                    child: Padding(
                      padding: const EdgeInsets.symmetric(horizontal: 15.0),
                      child: DropdownButtonHideUnderline(
                        child: DropdownButton(
                          style: TextStyle(
                            color: AppColors.textFieldBackground(context),
                            fontSize: 16,
                          ),
                          dropdownColor: AppColors.textFieldBackground(context),
                          // Initial Value
                          value: dropdownvalue,

                          icon: const Icon(Icons.keyboard_arrow_down),

                          // Array list of items
                          items: items.map((String items) {
                            return DropdownMenuItem(
                              value: items,
                              child: Text(
                                items,
                                style: TextStyle(
                                    color: AppColors.primaryContent(context)),
                              ),
                            );
                          }).toList(),
                          // After selecting the desired option,it will
                          // change button value to selected value
                          onChanged: (String? newValue) {
                            setState(() {
                              dropdownvalue = newValue!;
                            });
                          },
                        ),
                      ),
                    ),
                  ),
                ),
              ),
              Padding(
                padding:
                    const EdgeInsets.symmetric(vertical: 8.0, horizontal: 20),
                child: Align(
                  alignment: Alignment.topLeft,
                  child: Container(
                    height: 50,
                    width: double.infinity,
                    decoration: BoxDecoration(
                      color: AppColors.textFieldBackground(context),
                      borderRadius: BorderRadius.circular(4),
                    ),
                    child: Padding(
                      padding: const EdgeInsets.symmetric(horizontal: 15.0),
                      child: DropdownButtonHideUnderline(
                        child: DropdownButton(
                          style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 16,
                          ),
                          dropdownColor: AppColors.textFieldBackground(context),
                          // Initial Value
                          value: dropdownvalue2,

                          icon: const Icon(Icons.keyboard_arrow_down),

                          // Array list of items
                          items: items2.map((String items) {
                            return DropdownMenuItem(
                              value: items,
                              child: Text(
                                items,
                                style: TextStyle(
                                    color: AppColors.primaryContent(context)),
                              ),
                            );
                          }).toList(),
                          // After selecting the desired option,it will
                          // change button value to selected value
                          onChanged: (String? newValue) {
                            setState(() {
                              dropdownvalue2 = newValue!;
                            });
                          },
                        ),
                      ),
                    ),
                  ),
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20),
                child: Align(
                  alignment: Alignment.topLeft,
                  child: Container(
                    height: 50,
                    width: double.infinity,
                    decoration: BoxDecoration(
                      color: AppColors.textFieldBackground(context),
                      borderRadius: BorderRadius.circular(4),
                    ),
                    child: Padding(
                      padding: const EdgeInsets.symmetric(horizontal: 15.0),
                      child: DropdownButtonHideUnderline(
                        child: DropdownButton(
                          style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 16,
                          ),
                          dropdownColor: AppColors.textFieldBackground(context),
                          // Initial Value
                          value: dropdownvalue3,

                          icon: const Icon(Icons.keyboard_arrow_down),

                          // Array list of items
                          items: items3.map((String items) {
                            return DropdownMenuItem(
                              value: items,
                              child: Text(
                                items,
                                style: TextStyle(
                                    color: AppColors.primaryContent(context)),
                              ),
                            );
                          }).toList(),
                          // After selecting the desired option,it will
                          // change button value to selected value
                          onChanged: (String? newValue) {
                            setState(() {
                              dropdownvalue3 = newValue!;
                            });
                          },
                        ),
                      ),
                    ),
                  ),
                ),
              ),
              Padding(
                padding:
                    const EdgeInsets.symmetric(vertical: 8, horizontal: 20),
                child: Align(
                  alignment: Alignment.topLeft,
                  child: Container(
                    height: 50,
                    width: double.infinity,
                    decoration: BoxDecoration(
                      color: AppColors.textFieldBackground(context),
                      borderRadius: BorderRadius.circular(4),
                    ),
                    child: Padding(
                      padding: const EdgeInsets.symmetric(horizontal: 15.0),
                      child: DropdownButtonHideUnderline(
                        child: DropdownButton(
                          style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 16,
                          ),
                          dropdownColor: AppColors.textFieldBackground(context),
                          // Initial Value
                          value: dropdownvalue4,

                          icon: const Icon(Icons.keyboard_arrow_down),

                          // Array list of items
                          items: items4.map((String items) {
                            return DropdownMenuItem(
                              value: items,
                              child: Text(
                                items,
                                style: TextStyle(
                                    color: AppColors.primaryContent(context)),
                              ),
                            );
                          }).toList(),
                          // After selecting the desired option,it will
                          // change button value to selected value
                          onChanged: (String? newValue) {
                            setState(() {
                              dropdownvalue4 = newValue!;
                            });
                          },
                        ),
                      ),
                    ),
                  ),
                ),
              ),
              Obx(
                () => Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 10.0),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      Checkbox(
                        value: isSwitched.value,
                        onChanged: (val) {
                          isSwitched.value = val!;
                        },
                        side: BorderSide(
                          color: AppColors.primaryColor(context),
                        ),
                        activeColor: AppColors.primaryColor(context),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5),
                          side: BorderSide(
                            color: AppColors.primaryColor(context),
                          ),
                        ),
                      ),
                      Text(
                        "I am Indian citizen, born and residing in india",
                        style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 15),
                        textAlign: TextAlign.left,
                      ),
                    ],
                  ),
                ),
              ),
              Obx(
                () => Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 10.0),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      Checkbox(
                        value: isSwitched2.value,
                        onChanged: (val) {
                          isSwitched2.value = val!;
                        },
                        side: BorderSide(
                          color: AppColors.primaryColor(context),
                        ),
                        activeColor: AppColors.primaryColor(context),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5),
                          side: BorderSide(
                            color: AppColors.primaryContent(context),
                          ),
                        ),
                      ),
                      Text(
                        "I am not a politically exposed person",
                        style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 15),
                        textAlign: TextAlign.left,
                      ),
                    ],
                  ),
                ),
              ),
              Obx(
                () => Padding(
                  padding: const EdgeInsets.symmetric(horizontal: 10.0),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      Checkbox(
                        value: isSwitched3.value,
                        onChanged: (val) {
                          isSwitched3.value = val!;
                        },
                        side: BorderSide(
                          color: AppColors.primaryColor(context),
                        ),
                        activeColor: AppColors.primaryColor(context),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5),
                          side: BorderSide(
                            color: AppColors.primaryColor(context),
                          ),
                        ),
                      ),
                      RichText(
                        text: TextSpan(
                          text: "I agree to",
                          style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 14,
                            fontWeight: FontWeight.w400,
                          ),
                          children: [
                            TextSpan(
                              text: " Terms & Conditions",
                              style: TextStyle(
                                color: AppColors.primaryColor(context),
                                fontSize: 14,
                                fontWeight: FontWeight.w400,
                                decoration: TextDecoration.underline,
                              ),
                              recognizer: TapGestureRecognizer()
                                ..onTap = () {
                                  print("T&C");
                                },
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
              ),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: Container(
                  height: 50,
                  child: ElevatedButton(
                    onPressed: () {
                      Navigator.pushNamed(context, 'planselection');
                    },
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        Text(
                          'Confirm',
                          style: TextStyle(
                            fontSize: 20,
                          ),
                        ),
                        SizedBox(
                          width: 10,
                        ),
                        Icon(
                          Icons.arrow_forward,
                          size: 20,
                        )
                      ],
                    ),
                    style: ElevatedButton.styleFrom(
                      primary: AppColors.primaryColor(context),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(10),
                      ),
                    ),
                  ),
                ),
              ),
              Align(
                alignment: Alignment.bottomCenter,
                child: Text(
                  "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
                  style: TextStyle(
                    color: AppColors.primaryAccent(context),
                    fontSize: 12,
                    fontWeight: FontWeight.w400,
                  ),
                  textAlign: TextAlign.center,
                ),
              ),
              SizedBox(height: 20),
            ],
          ),
        ),
      ),
    );
  }
}
