import 'package:flutter/material.dart';

import '../utils/theme_files/app_colors.dart';
import '../widget/header.dart';

class PersonalConfirm extends StatefulWidget {
  const PersonalConfirm({Key? key}) : super(key: key);

  @override
  State<PersonalConfirm> createState() => _PersonalConfirmState();
}

class _PersonalConfirmState extends State<PersonalConfirm> {
  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Header(),
          Align(
            alignment: Alignment.center,
            child: Text(
              'Personal Details',
              style: TextStyle(fontSize: 30, fontWeight: FontWeight.w700),
              textAlign: TextAlign.center,
            ),
          ),
          SizedBox(height: 20),
          Text(
            'Lorem ipsum dolor sit amet, consectetur adipiscing elit,',
            style: TextStyle(
                color: AppColors.primaryContent(context), fontSize: 20),
            textAlign: TextAlign.center,
          ),
          SizedBox(height: 20),
          Divider(
            color: AppColors.primaryAccent(context),
            thickness: 1,
            indent: 20,
            endIndent: 20,
          ),
          SizedBox(height: 20),
          GridView(
            shrinkWrap: true,
            gridDelegate: const SliverGridDelegateWithFixedCrossAxisCount(
              crossAxisCount: 2,
              childAspectRatio: 2,
            ),
            children: [
              ListTile(
                title: Text(
                  'First Name',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Rajeev',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
              ListTile(
                title: Text(
                  'Last Name',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Shrivastav',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
              ListTile(
                title: Text(
                  'PAN Number',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'CIGPK89245B',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
              ListTile(
                title: Text(
                  'Gender',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Male',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
              ListTile(
                title: Text(
                  'Marital Status',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Single',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
              ListTile(
                title: Text(
                  'Father Name',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Ramesh',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
              ListTile(
                title: Text(
                  'Mother Name',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
                subtitle: Text(
                  'Kamal',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 18),
                ),
              ),
            ],
          ),
          SizedBox(height: 20),
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 8.0),
            child: Container(
              height: 50,
              child: ElevatedButton(
                onPressed: () {
                  Navigator.pushNamed(context, 'personaldetail');
                },
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: const [
                    Text(
                      'Confrm',
                      style: TextStyle(fontSize: 20),
                    ),
                    SizedBox(width: 10),
                    Icon(
                      Icons.arrow_forward,
                      size: 25,
                    ),
                  ],
                ),
                style: ElevatedButton.styleFrom(
                  primary: AppColors.primaryColor(context),
                  shape: RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(4),
                  ),
                ),
              ),
            ),
          ),
          Align(
            alignment: Alignment.bottomCenter,
            child: Text(
              "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
              style: TextStyle(
                color: AppColors.primaryAccent(context),
                fontSize: 12,
                fontWeight: FontWeight.w400,
              ),
              textAlign: TextAlign.center,
            ),
          ),
          SizedBox(height: 20),
        ],
      ),
    );
  }
}
