import 'package:flutter/material.dart';

import '../utils/theme_files/app_colors.dart';
import '../widget/header.dart';

class DocProof extends StatefulWidget {
  const DocProof({Key? key}) : super(key: key);

  @override
  State<DocProof> createState() => _DocProofState();
}

class _DocProofState extends State<DocProof> {
  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Center(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              //custom appbar
              Header(),
              const Text(
                'Personal details &\ndocument proofs',
                style: TextStyle(
                  fontSize: 30,
                  fontWeight: FontWeight.w700,
                ),
                textAlign: TextAlign.center,
              ),
              const SizedBox(
                height: 20,
              ),
              Text(
                'Use one of the following options for submitting\nyour personal details & associated proofs',
                style: TextStyle(
                  color: AppColors.primaryContent(context),
                  fontSize: 15,
                  fontWeight: FontWeight.w400,
                ),
                textAlign: TextAlign.center,
              ),
              const SizedBox(
                height: 20,
              ),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: Container(
                  width: double.infinity,
                  height: MediaQuery.of(context).size.height / 12,
                  decoration: BoxDecoration(
                    color: AppColors.textFieldBackground(context),
                    borderRadius: BorderRadius.circular(4),
                  ),
                  child: ListTile(
                    contentPadding:
                        const EdgeInsets.symmetric(horizontal: 16.0),
                    minVerticalPadding: 16,
                    minLeadingWidth: 5,
                    leading: Padding(
                      padding: EdgeInsets.only(top: 5),
                      child: Icon(
                        Icons.check_circle,
                        color: AppColors.primaryContent(context),
                      ),
                    ),
                    title: Text(
                      'Share Aadhaar Details With Digilocker',
                      style: TextStyle(
                        // color: AppColors.primaryContent(context),
                        fontSize: 14,
                        fontWeight: FontWeight.w400,
                      ),
                    ),
                    subtitle: Text(
                      'Sign in and use your Digilocker account',
                      style: TextStyle(
                        color: AppColors.primaryContent(context),
                        fontSize: 13,
                        fontWeight: FontWeight.w400,
                      ),
                    ),
                    onTap: () => Navigator.pushNamed(context, 'DigiPage'),
                  ),
                ),
              ),
              SizedBox(
                height: 20,
              ),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: Container(
                  width: double.infinity,
                  height: MediaQuery.of(context).size.height / 12,
                  decoration: BoxDecoration(
                    color: AppColors.textFieldBackground(context),
                    borderRadius: BorderRadius.circular(4),
                  ),
                  child: ListTile(
                    contentPadding:
                        const EdgeInsets.symmetric(horizontal: 16.0),
                    minVerticalPadding: 16,
                    minLeadingWidth: 5,
                    leading: Padding(
                      padding: EdgeInsets.only(top: 5),
                      child: Icon(
                        Icons.check_circle,
                        color: AppColors.primaryContent(context),
                      ),
                    ),
                    title: Text(
                      'Share offline Aadhaar',
                      style: TextStyle(
                        fontSize: 14,
                        fontWeight: FontWeight.w400,
                      ),
                    ),
                    subtitle: Text(
                      'Keep your Aadhaar number, PAN card ready',
                      style: TextStyle(
                        color: AppColors.primaryContent(context),
                        fontSize: 13,
                        fontWeight: FontWeight.w400,
                      ),
                    ),
                    onTap: () => Navigator.pushNamed(context, 'DigiPage'),
                  ),
                ),
              ),
              SizedBox(
                height: 20,
              ),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: Container(
                  width: double.infinity,
                  height: MediaQuery.of(context).size.height / 10,
                  decoration: BoxDecoration(
                    color: AppColors.textFieldBackground(context),
                    borderRadius: BorderRadius.circular(4),
                  ),
                  child: ListTile(
                    contentPadding:
                        const EdgeInsets.symmetric(horizontal: 16.0),
                    minVerticalPadding: 16,
                    minLeadingWidth: 5,
                    leading: Padding(
                      padding: const EdgeInsets.only(top: 15.0),
                      child: Icon(
                        Icons.check_circle,
                        color: AppColors.primaryContent(context),
                      ),
                    ),
                    title: Text(
                      'Enter your personal details manually',
                      style: TextStyle(
                        fontSize: 14,
                        fontWeight: FontWeight.w400,
                      ),
                    ),
                    subtitle: Text(
                      'Keep your PAN card, address proof, photo ready for upload',
                      style: TextStyle(
                        color: AppColors.primaryContent(context),
                        fontSize: 14,
                        fontWeight: FontWeight.w400,
                      ),
                    ),
                    onTap: () => Navigator.pushNamed(context, 'panuploadpage'),
                  ),
                ),
              ),
              SizedBox(
                height: 20,
              ),
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: SizedBox(
                  height: 50,
                  child: ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      primary: AppColors.primaryColor(context),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(4),
                      ),
                    ),
                    onPressed: () {
                      Navigator.pushNamed(context, 'DigiPage');
                    },
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        Text('Next'),
                        Icon(Icons.arrow_forward),
                      ],
                    ),
                  ),
                ),
              ),
              SizedBox(
                height: 20,
              ),
              Text(
                "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
                style: TextStyle(
                  color: AppColors.primaryAccent(context),
                  fontSize: 12,
                  fontWeight: FontWeight.w400,
                ),
                textAlign: TextAlign.center,
              ),
              SizedBox(height: 20),
            ],
          ),
        ),
      ),
    );
  }
}
