import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../utils/theme_files/app_colors.dart';
import '../widget/header.dart';

class PlanSelect extends StatefulWidget {
  const PlanSelect({Key? key}) : super(key: key);

  @override
  State<PlanSelect> createState() => _PlanSelectState();
}

class _PlanSelectState extends State<PlanSelect> {
  @override
  Widget build(BuildContext context) {
    RxBool isSwitched = false.obs;
    RxBool isSwitched2 = false.obs;
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Column(
          children: [
            Header(),
            Text(
              'Select a plan',
              style: TextStyle(
                fontWeight: FontWeight.w700,
                fontSize: 30,
              ),
            ),
            SizedBox(height: 20),
            Text(
              'Trading Segment',
              style: TextStyle(
                color: AppColors.primaryContent(context),
                fontSize: 18,
              ),
            ),
            SizedBox(height: 20),
            Align(
              alignment: Alignment.topLeft,
              child: Padding(
                padding: const EdgeInsets.all(8.0),
                child: Text(
                  'Tradng Segment',
                  style: TextStyle(
                      color: AppColors.primaryContent(context), fontSize: 15),
                ),
              ),
            ),
            Row(
              children: [
                Obx(
                  () => Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      Checkbox(
                        value: isSwitched.value,
                        onChanged: (val) {
                          isSwitched.value = val!;
                        },
                        side: BorderSide(
                          color: AppColors.primaryColor(context),
                        ),
                        activeColor: AppColors.primaryColor(context),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5),
                          side: BorderSide(
                            color: AppColors.primaryColor(context),
                          ),
                        ),
                      ),
                      Text(
                        "Cash + Mutual Funds",
                        style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 15),
                        textAlign: TextAlign.left,
                      ),
                    ],
                  ),
                ),
                SizedBox(width: 20),
                Obx(
                  () => Row(
                    mainAxisAlignment: MainAxisAlignment.start,
                    children: [
                      Checkbox(
                        value: isSwitched2.value,
                        onChanged: (val) {
                          isSwitched2.value = val!;
                        },
                        side: BorderSide(
                          color: AppColors.primaryColor(context),
                        ),
                        activeColor: AppColors.primaryColor(context),
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5),
                          side: BorderSide(
                            color: AppColors.primaryColor(context),
                          ),
                        ),
                      ),
                      Text(
                        "Commodity",
                        style: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 15),
                        textAlign: TextAlign.left,
                      ),
                    ],
                  ),
                ),
              ],
            ),
            SizedBox(height: 20),
            Card()
          ],
        ),
      ),
    );
  }
}
