import 'package:blink_trade/widget/paymentsent.dart';
import 'package:blink_trade/widget/textfield.dart';
import 'package:dropdown_textfield/dropdown_textfield.dart';
import 'package:flutter/material.dart';
import 'package:modal_bottom_sheet/modal_bottom_sheet.dart';

import '../utils/theme_files/app_colors.dart';
import '../widget/header.dart';

class VerifyBank extends StatefulWidget {
  const VerifyBank({Key? key}) : super(key: key);

  @override
  State<VerifyBank> createState() => _VerifyBankState();
}

class _VerifyBankState extends State<VerifyBank> {
  bool IsClicked = false;
  FocusNode searchFocusNode = FocusNode();
  FocusNode textFieldFocusNode = FocusNode();
  late SingleValueDropDownController _cnt;
  late MultiValueDropDownController _cntMulti;

  void initState() {
    _cnt = SingleValueDropDownController();
    _cntMulti = MultiValueDropDownController();
    super.initState();
  }

  @override
  void dispose() {
    _cnt.dispose();
    _cntMulti.dispose();
    super.dispose();
  }

  bool timer = false;

  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;

    return SafeArea(
      child: SingleChildScrollView(
        child: Column(
          children: [
            Header(),
            SizedBox(
              height: 20,
            ),
            const Text(
              'Verify Bank Account',
              style: TextStyle(fontSize: 30, fontWeight: FontWeight.bold),
            ),
            const SizedBox(
              height: 20,
            ),
            Text(
              'Lorem ipsum dolor sit amet, consectetur',
              style: TextStyle(
                  color: AppColors.primaryAccent(context),
                  fontSize: 15,
                  fontWeight: FontWeight.w400),
            ),
            SizedBox(
              height: 20,
            ),
            Padding(
              padding:
                  const EdgeInsets.symmetric(horizontal: 20.0, vertical: 5),
              child: MyTextField(
                controller: TextEditingController(),
                hint: 'Bank account number',
              ),
            ),
            SizedBox(
              height: 10,
            ),
            if (IsClicked)
              TextButton(
                  onPressed: () {
                    showMaterialModalBottomSheet(
                      context: context,
                      builder: (context) => SingleChildScrollView(
                        controller: ModalScrollController.of(context),
                        child: SingleChildScrollView(
                          child: Container(
                            color: AppColors.background(context),
                            height: 350,
                            child: Column(
                              children: [
                                SizedBox(
                                  height: 20,
                                ),
                                Text(
                                  'Search IFSC Code',
                                  style: TextStyle(
                                    fontSize: 28,
                                    fontWeight: FontWeight.bold,
                                  ),
                                ),
                                SizedBox(
                                  height: 20,
                                ),
                                Column(
                                  children: [
                                    Padding(
                                      padding: const EdgeInsets.symmetric(
                                          horizontal: 20.0),
                                      child: Container(
                                        color: AppColors.textFieldBackground(
                                            context),
                                        child: Padding(
                                          padding: const EdgeInsets.symmetric(
                                              horizontal: 20),
                                          child: DropDownTextField(
                                            dropDownList: const [
                                              DropDownValueModel(
                                                  name: 'Enter ',
                                                  value: "value1"),
                                              DropDownValueModel(
                                                name: 'name2',
                                                value: "value2",
                                              ),
                                              DropDownValueModel(
                                                  name: 'name3',
                                                  value: "value3"),
                                            ],
                                            dropDownItemCount: 5,
                                            onChanged: (val) {},
                                            controller: _cnt,
                                            clearOption: true,
                                            enableSearch: true,
                                            clearIconProperty: IconProperty(
                                              color: AppColors.primaryColor(
                                                  context),
                                            ),
                                            searchDecoration:
                                                const InputDecoration(
                                                    hintText:
                                                        "Enter Bank Name"),
                                            validator: (value) {
                                              if (value == null) {
                                                return "Required field";
                                              } else {
                                                return null;
                                              }
                                            },
                                          ),
                                        ),
                                      ),
                                    ),
                                    SizedBox(
                                      height: 20,
                                    ),
                                    Padding(
                                      padding: const EdgeInsets.symmetric(
                                          horizontal: 20.0),
                                      child: Container(
                                        color: AppColors.textFieldBackground(
                                            context),
                                        child: Padding(
                                          padding: const EdgeInsets.symmetric(
                                              horizontal: 15),
                                          child: DropDownTextField(
                                            dropDownList: const [
                                              DropDownValueModel(
                                                  name: 'Enter ',
                                                  value: "value1"),
                                              DropDownValueModel(
                                                name: 'name2',
                                                value: "value2",
                                              ),
                                              DropDownValueModel(
                                                  name: 'name3',
                                                  value: "value3"),
                                            ],
                                            dropDownItemCount: 5,
                                            onChanged: (val) {},
                                            controller: _cnt,
                                            clearOption: true,
                                            enableSearch: true,
                                            clearIconProperty: IconProperty(
                                                color: AppColors.primaryColor(
                                                    context)),
                                            searchDecoration:
                                                const InputDecoration(
                                                    hintText:
                                                        "Enter Bank Name"),
                                            validator: (value) {
                                              if (value == null) {
                                                return "Required field";
                                              } else {
                                                return null;
                                              }
                                            },
                                          ),
                                        ),
                                      ),
                                    ),
                                    SizedBox(
                                      height: 20,
                                    ),
                                    SizedBox(
                                      height: 50,
                                      child: Padding(
                                        padding: const EdgeInsets.symmetric(
                                            horizontal: 20),
                                        child: ElevatedButton(
                                          style: ElevatedButton.styleFrom(
                                            primary:
                                                AppColors.primaryColor(context),
                                            shape: RoundedRectangleBorder(
                                              borderRadius:
                                                  BorderRadius.circular(4),
                                            ),
                                          ),
                                          onPressed: () {
                                            showMaterialModalBottomSheet(
                                              expand: true,
                                              context: context,
                                              builder: (context) => Container(
                                                height: 500,
                                                color: AppColors.background(
                                                    context),
                                                child: Column(
                                                  children: [
                                                    SizedBox(
                                                      height: 30,
                                                    ),
                                                    Text(
                                                      'Choose IFSC Code',
                                                      style: TextStyle(
                                                        fontSize: 28,
                                                        fontWeight:
                                                            FontWeight.bold,
                                                      ),
                                                    ),
                                                    SizedBox(
                                                      height: 20,
                                                    ),
                                                    ListView.builder(
                                                        shrinkWrap: true,
                                                        itemCount: 3,
                                                        itemBuilder:
                                                            (context, index) {
                                                          return Padding(
                                                            padding:
                                                                const EdgeInsets
                                                                        .symmetric(
                                                                    horizontal:
                                                                        8.0,
                                                                    vertical:
                                                                        5.0),
                                                            child: Container(
                                                              height: 100,
                                                              width: double
                                                                  .infinity,
                                                              decoration: BoxDecoration(
                                                                  borderRadius:
                                                                      BorderRadius
                                                                          .circular(
                                                                              4)),
                                                              child: ListTile(
                                                                onTap: () {},
                                                                leading: Icon(
                                                                  Icons
                                                                      .check_circle,
                                                                ),
                                                                title:
                                                                    const Text(
                                                                  'Bank Name',
                                                                ),
                                                                subtitle:
                                                                    const Text(
                                                                  'IFSC Code',
                                                                ),
                                                              ),
                                                            ),
                                                          );
                                                        }),
                                                    SizedBox(
                                                      height: 20,
                                                    ),
                                                    SizedBox(
                                                      height: 45,
                                                      width: 200,
                                                      child: ElevatedButton(
                                                        onPressed: () {
                                                          showMaterialModalBottomSheet(
                                                            context: context,
                                                            builder:
                                                                (context) =>
                                                                    PaySent(),
                                                          );
                                                        },
                                                        style: ElevatedButton
                                                            .styleFrom(
                                                          primary: AppColors
                                                              .primaryColor(
                                                                  context),
                                                          shape:
                                                              RoundedRectangleBorder(
                                                            borderRadius:
                                                                BorderRadius
                                                                    .circular(
                                                                        5),
                                                          ),
                                                        ),
                                                        child: Row(
                                                          mainAxisAlignment:
                                                              MainAxisAlignment
                                                                  .center,
                                                          children: [
                                                            Text(
                                                              'Submit',
                                                              style: TextStyle(
                                                                  fontSize: 20,
                                                                  fontWeight:
                                                                      FontWeight
                                                                          .bold),
                                                            ),
                                                            SizedBox(
                                                              width: 10,
                                                            ),
                                                            Icon(
                                                              Icons
                                                                  .arrow_forward,
                                                              color: AppColors
                                                                  .primaryAccent(
                                                                      context),
                                                            )
                                                          ],
                                                        ),
                                                      ),
                                                    )
                                                  ],
                                                ),
                                              ),
                                            );
                                          },
                                          child: Row(
                                            mainAxisAlignment:
                                                MainAxisAlignment.center,
                                            children: const [
                                              Text(
                                                'Search',
                                                style: TextStyle(
                                                    fontSize: 20,
                                                    fontWeight:
                                                        FontWeight.w700),
                                              ),
                                              SizedBox(
                                                width: 10,
                                              ),
                                              Icon(Icons.arrow_forward),
                                            ],
                                          ),
                                        ),
                                      ),
                                    )
                                  ],
                                ),
                              ],
                            ),
                          ),
                        ),
                      ),
                    );
                  },
                  child: Text(
                    'Search IFSC Code',
                    style: TextStyle(color: AppColors.primaryColor(context)),
                  )),
            SizedBox(
              height: 10,
            ),
            if (!IsClicked)
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: Container(
                  height: 55,
                  width: MediaQuery.of(context).size.width,
                  child: ElevatedButton(
                    onPressed: () {
                      setState(() {
                        IsClicked = true;
                      });
                    },
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        Text(
                          'Next',
                          style: TextStyle(
                              fontSize: 20, fontWeight: FontWeight.w400),
                        ),
                        SizedBox(
                          width: 10,
                        ),
                        Icon(
                          Icons.arrow_forward,
                        )
                      ],
                    ),
                    style: ElevatedButton.styleFrom(
                      primary: AppColors.primaryColor(context),
                      shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5)),
                    ),
                  ),
                ),
              ),
            if (IsClicked)
              Padding(
                padding: const EdgeInsets.symmetric(horizontal: 20.0),
                child: SizedBox(
                  height: 55,
                  width: MediaQuery.of(context).size.width,
                  child: ElevatedButton(
                    onPressed: () {
                      showMaterialModalBottomSheet(
                        context: context,
                        builder: (context) => const PaySent(),
                      );
                    },
                    style: ElevatedButton.styleFrom(
                      primary: AppColors.primaryColor(context),
                      shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(5)),
                    ),
                    child: Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: [
                        Text(
                          'Next',
                          style: TextStyle(
                              fontSize: 20, fontWeight: FontWeight.w400),
                        ),
                        SizedBox(
                          width: 10,
                        ),
                        Icon(
                          Icons.arrow_forward,
                        )
                      ],
                    ),
                  ),
                ),
              ),
            SizedBox(height: 20),
            Text(
              "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
              style: TextStyle(
                color: AppColors.primaryContent(context),
                fontSize: 12,
                fontWeight: FontWeight.w400,
              ),
              textAlign: TextAlign.center,
            ),
            SizedBox(height: 20),
          ],
        ),
      ),
    );
  }
}
