import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../utils/theme_files/app_colors.dart';

class WelcomeScreen extends StatefulWidget {
  const WelcomeScreen({Key? key}) : super(key: key);
  static String phoneNumber = '';

  @override
  State<WelcomeScreen> createState() => _WelcomeScreenState();
}

class _WelcomeScreenState extends State<WelcomeScreen> {
  RxBool isSwitched = false.obs;
  void _onChanged(val) {
    setState(() {
      WelcomeScreen.phoneNumber = val;
    });
  }

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 20),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          //Header()
          const Spacer(),
          const Text(
            'Welcome to',
            //             style: AppTextStyles.body1(
            //    context,
            //    color: AppColors.primaryAccent(context),
            //  ),
          ),
          const SizedBox(height: 20),
          Image.asset(
            isLightMode ? 'assets/logo-light.png' : 'assets/logo-dark.png',
            width: 250,
          ),
          const SizedBox(height: 50),

          Container(
            height: 50,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(10),
            ),
            child: ElevatedButton(
              style: ElevatedButton.styleFrom(
                primary: AppColors.primaryColor(context),
                shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(4),
                ),
              ),
              onPressed: () {
                showModalBottomSheet(
                    context: context, builder: buildBottomSheet);
              },
              child: Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: const [
                  Text(
                    "Let's Get Started",
                    style: TextStyle(
                      //color: AppColors.textColor,
                      fontSize: 18,
                      fontWeight: FontWeight.w400,
                    ),
                  ),
                  SizedBox(width: 10),
                  Icon(
                    Icons.arrow_forward,
                    color: Colors.white,
                  ),
                ],
              ),
            ),
          ),
          const SizedBox(height: 40),

          Spacer(),
          Text(
            "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
            style: TextStyle(
              color: AppColors.primaryAccent(context),
              fontSize: 12,
            ),
            textAlign: TextAlign.center,
          ),
          SizedBox(height: 20),
        ],
      ),
    );
  }

  Widget buildBottomSheet(BuildContext context) {
    final isLightMode = Theme.of(context).brightness == Brightness.light;
    return Container(
      color: isLightMode
          ? Color.fromARGB(255, 110, 109, 109)
          : Color.fromARGB(255, 0, 0, 0),
      child: Container(
        decoration: BoxDecoration(
            color: AppColors.background(context),
            borderRadius: BorderRadius.vertical(top: Radius.circular(20))),
        height: MediaQuery.of(context).size.height / 2,
        width: MediaQuery.of(context).size.width,
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 20.0),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Padding(
                padding: const EdgeInsets.only(top: 15),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    IconButton(
                      onPressed: () {
                        print('tapped');
                      },
                      icon: Icon(
                        Icons.arrow_back,
                        size: 25,
                        color: AppColors.primaryAccent(context),
                      ),
                    ),
                    const Spacer(),
                    Row(
                      children: [
                        Icon(
                          Icons.call_outlined,
                          size: 25,
                          color: AppColors.primaryAccent(context),
                        ),
                        const SizedBox(width: 15),
                        Icon(
                          Icons.power_settings_new_rounded,
                          size: 25,
                          color: AppColors.primaryAccent(context),
                        ),
                        const SizedBox(width: 15),
                      ],
                    )
                  ],
                ),
              ),
              //Header()
              const Spacer(),
              const Text(
                'Signup Now',
                style: TextStyle(
                  //color: AppColors.textColor,
                  fontSize: 32,
                  fontWeight: FontWeight.w600,
                ),
              ),
              const SizedBox(height: 40),
              Container(
                decoration: BoxDecoration(
                  color: AppColors.textFieldBackground(context),
                  borderRadius: BorderRadius.circular(4),
                  // border: Border.all(
                  //   color: AppColors.primaryAccent(context),
                  // )
                ),
                width: double.infinity,
                child: Row(
                  children: [
                    const SizedBox(width: 10),
                    Text(
                      "+91",
                      style: TextStyle(
                        fontSize: 16,
                        color: AppColors.primaryContent(context),
                      ),
                    ),
                    const SizedBox(width: 10),
                    Text(
                      "|",
                      style: TextStyle(
                        color: AppColors.primaryContent(context),
                        fontSize: 22,
                      ),
                    ),
                    SizedBox(width: 10),
                    Expanded(
                      child: TextFormField(
                        style: TextStyle(
                          fontSize: 18,
                        ),
                        onChanged: (val) {
                          _onChanged(val);
                        },
                        cursorColor: AppColors.primaryColor(context),
                        keyboardType: TextInputType.phone,
                        decoration: InputDecoration(
                          hintText: "Enter Mobile Number",
                          hintStyle: TextStyle(
                            color: AppColors.primaryContent(context),
                            fontSize: 15,
                            fontWeight: FontWeight.w400,
                          ),
                          border: InputBorder.none,
                        ),
                      ),
                    ),
                  ],
                ),
              ),
              const SizedBox(height: 15),
              Text(
                "You will receive an OTP on your number",
                style: TextStyle(
                  color: AppColors.primaryAccent(context),
                  fontSize: 14,
                  fontWeight: FontWeight.w400,
                ),
              ),
              const SizedBox(height: 30),
              Container(
                height: 50,
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(10),
                ),
                child: ElevatedButton(
                  style: ElevatedButton.styleFrom(
                    primary: AppColors.primaryColor(context),
                    shape: RoundedRectangleBorder(
                      borderRadius: BorderRadius.circular(4),
                    ),
                  ),
                  onPressed: () {
                    Navigator.pushNamed(context, 'pagetwo');
                  },
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: const [
                      Text(
                        "Continue",
                        style: TextStyle(
                          //    color: AppColors.textColor,
                          fontSize: 18,
                          fontWeight: FontWeight.w400,
                        ),
                      ),
                      SizedBox(width: 10),
                      Icon(
                        Icons.arrow_forward,
                        color: Colors.white,
                      ),
                    ],
                  ),
                ),
              ),
              const SizedBox(height: 10),
              Obx(
                () => Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    Theme(
                      data: Theme.of(context).copyWith(
                        unselectedWidgetColor: AppColors.primaryColor(context),
                      ),
                      child: Checkbox(
                        value: isSwitched.value,
                        onChanged: (val) {
                          isSwitched.value = val!;
                        },
                        activeColor: AppColors.primaryColor(context),
                        shape: RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(5),
                            side: BorderSide(
                                color: AppColors.primaryAccent(context))),
                      ),
                    ),
                    RichText(
                      text: TextSpan(
                        text: "Enable WhatsApp Notification ",
                        style: TextStyle(
                          color: AppColors.primaryAccent(context),
                          fontSize: 14,
                          fontWeight: FontWeight.w500,
                        ),
                        children: [
                          TextSpan(
                            text: "T&Cs",
                            style: TextStyle(
                              color: AppColors.primaryColor(context),
                              fontSize: 14,
                              fontWeight: FontWeight.w500,
                              decoration: TextDecoration.underline,
                            ),
                            recognizer: TapGestureRecognizer()
                              ..onTap = () {
                                print("T&C");
                              },
                          ),
                        ],
                      ),
                    ),
                  ],
                ),
              ),
              const Spacer(),
              Text(
                "Lorem ipsum | Lorem ipsum | Lorem ipsum\nCopyrights @ 2022 © Blink Trude. All Right Reserved",
                style: TextStyle(
                  color: AppColors.primaryAccent(context),
                  fontSize: 12,
                ),
                textAlign: TextAlign.center,
              ),
              const SizedBox(height: 20),
            ],
          ),
        ),
      ),
    );
  }
}
