import 'package:blink_trade/modules/verify-mobile/ui/otp_page.dart';
import 'package:blink_trade/modules/verify-mobile/ui/signup.dart';
import 'package:blink_trade/screens/email_page.dart';
import 'package:blink_trade/utils/theme_files/app_colors.dart';
import 'package:flutter/material.dart';
import 'package:modal_bottom_sheet/modal_bottom_sheet.dart';

class FlutterDIY {
  final BuildContext context;

  FlutterDIY(this.context);

  Future<dynamic> init() async {
    return showMaterialModalBottomSheet(
      backgroundColor: AppColors.background(context),
      shape: const RoundedRectangleBorder(
        borderRadius: BorderRadius.vertical(top: Radius.circular(25.0)),
      ),
      enableDrag: false,
      context: (context),
      builder: (context) {
        return SizedBox(
          height: MediaQuery.of(context).size.height * 0.8,
          child: Navigator(
            initialRoute: '/verify-mobile',
            onGenerateRoute: (settings) {
              switch (settings.name) {
                case '/verify-mobile':
                  return MaterialPageRoute(
                    builder: (context) => const SignUpPage(),
                  );
                case '/email-page':
                  return MaterialPageRoute(
                    builder: (context) => const EmailPage(),
                  );
                case '/phone-otp':
                  final args = settings.arguments as Map<String, dynamic>;
                  return MaterialPageRoute(
                    builder: (context) => const OtpPage(),
                  );
                default:
                  return MaterialPageRoute(
                    builder: (context) => const SignUpPage(),
                  );
              }
            },
          ),
        );
      },
    );
  }
}
